For the complete documentation index, see llms.txt. This page is also available as Markdown.

Şablonu Günceller

Şablonu günceller.

put
Authorizations
HTTPRequired

API anahtari giriniz

Body
IDinteger · int32Optional
Namestring · nullableOptional
IsActiveboolean · nullableOptional
IsDefaultboolean · nullableOptional
Responses
200

Şablonu günceller.

application/json
booleanOptional
put/Templates
PUT /expense/Templates HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 55

{
  "ID": 1,
  "Name": "text",
  "IsActive": true,
  "IsDefault": true
}
true
var options = new RestClientOptions("https://apitest.nilvera.com")
{
    MaxTimeout = -1,
};

var client = new RestClient(options);
var request = new RestRequest("/expense/Templates", Method.Put);
request.AddHeader("Content-Type", "application/json");
request.AddHeader("Authorization", "Bearer APIKEY");

var body = @"{
  ""ID"": 0,
  ""Name"": ""string"",
  ""IsActive"": true,
  ""IsDefault"": true
}";

request.AddStringBody(body, DataFormat.Json);
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://apitest.nilvera.com/expense/Templates',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'PUT',
  CURLOPT_POSTFIELDS =>'{
  "ID": 0,
  "Name": "string",
  "IsActive": true,
  "IsDefault": true
}',
  CURLOPT_HTTPHEADER => array(
    'Content-Type: application/json',
    'Authorization: Bearer APIKEY'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;

Last updated